CitrixAppFolder (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.citrix.CitrixAppFolder interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.citrix
Interface CitrixAppFolder

All Superinterfaces:
  CitrixFolder, Collection, HomogeneousCollection, ManagedElement, ModelObject, java.io.Serializable

    public interface CitrixAppFolder

extends CitrixFolder

Naming Rules:
  0="farm,folderDN"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`CitrixApplication[]` | `getApplications()`
`CitrixFarm` | `getFarm()`
`boolean` | `hasApplications()`
`boolean` | `hasFarm()`
`void` | `setApplications(CitrixApplication[] x)`
`void` | `setFarm(CitrixFarm x)`

Methods inherited from interface com.collation.platform.model.topology.app.citrix.CitrixFolder
`getFolderDN, getFolderName, getFolders, getParent, hasFolderDN, hasFolderName, hasFolders, hasParent, setFolderDN, setFolderName, setFolders, setParent`

Methods inherited from interface com.collation.platform.model.topology.process.HomogeneousCollection
`getMemberType, hasMemberType, setMemberType`

Methods inherited from interface com.collation.platform.model.topology.core.Collection
`getActive, getMembers, getName, hasActive, hasMembers, hasName, setActive, setMembers, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getFarm

    CitrixFarm getFarm()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setFarm

    void setFarm(CitrixFarm x)

### hasFarm

    boolean hasFarm()

### getApplications

    CitrixApplication[] getApplications()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setApplications

    void setApplications(CitrixApplication[] x)

### hasApplications

    boolean hasApplications()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD